# local module inputs

# ----------------------------------
# Below this line are variables inherited from higher levels, so they
# do not need to be explicitly passed to this module.
variable "account_alias" {
  type = string
}

variable "iam_additional_trusted_arns" {
  description = "Additional ARNs to trust in the roles"
  type = list
  default = [ ]
}

# ----------------------------------
# Required for remote state, though they can be used elsewhere
variable "remote_state_bucket" {
  type = string
}

variable "aws_region" {
  type = string
}

variable "aws_partition" {
  type = string
}

variable "common_services_account" {
  type = string
}

variable "common_profile" {
  type = string
}
